Payments & FinancePayments
Start payment
POST
/v1/payments/startStart payment. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/payments/start" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "targetKind": "order", "orderId": "7204558912004325301", "orderGroup": "example", "paymentMethodCode": "example_code", "amount": 1, "currency": "PEN", "externalRef": "example", "payerEmail": "andrea@example.com" }'{ "transactionId": "7204558912004325301", "status": "pending", "isCaptured": false, "paymentMethodCode": "example_code", "code": "example_code", "cardType": "example", "amount": 1, "reference": "example", "providerId": "7204558912004325301", "publicConfiguration": { "key": "example" }, "clientSecret": "replace_with_a_random_secret", "checkoutUrl": "https://example.com/resource", "checkoutHtml": "example", "qrCode": "example_code", "receiptUrl": "https://example.com/resource", "expiresAt": "2026-08-01T15:30:00Z", "actionKind": "none"}